#ifndef OBJ07_DB_H
#define OBJ07_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - obj07 for C */
/* This is the DDL (Database Definition Language) for a database implementing
 * a many-to-many relationship using network model sets.  The database shows
 * how to implement a course registration list with Students that attend
 * multiple Classes and Classes that are attended by multiple Students.
 * 
 * The student record has a single Name field
 * The course record has an ID and Title field
 * There is an intersection (registrations) record that does not contain any 
 * user fields
 *
 * This schema file should be processed using the ddlp utility using the
 * -c, -cpp,  and -d options to create an embedded dbd file.  The -c option 
 * will generate a c header file (obj07_db_dbd.h) and a c source file 
 * (obj07_db_dbd.c) which can be compiled into the application and used with 
 * the db.Open Method to create the database if it does not already exist.
 */


/* database obj07_db record/key structure declarations */

struct student {
   char name[100];
};

struct course {
   char id[10];
   char title[100];
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define STUDENT 10000
#define COURSE 10001
#define COURSE_REGISTRATION 10002

/* Field Name Constants */
#define NAME 0L
#define ID 1000L
#define TITLE 1001L

/* Set Name Constants */
#define ATTENDS 20000
#define ATTENDED_BY 20001

/* Field Sizes */
#define SIZEOF_NAME 100
#define SIZEOF_ID 10
#define SIZEOF_TITLE 100

/*lint --flb */
#endif    /* OBJ07_DB_H */
